package org.implab.gradle.common.json;

import java.io.File;

import org.gradle.api.Action;
import org.gradle.api.file.RegularFile;
import org.gradle.api.provider.Provider;

public interface JsonMapSpec extends GroovyObjectSpec {
    void from(File file, Action<? super MapImportSpec> action);

    default void from(File file) {
        from(file, spec -> {
        });
    }

    void from(Provider<RegularFile> fileProvider, Action<? super MapImportSpec> action);

    default void from(Provider<RegularFile> fileProvider) {
        from(fileProvider, spec -> {
        });
    }
}
